Package com.io7m.idstore.server.http

# Record Class IdHTTPCookieDeclaration

java.lang.Object
java.lang.Record
com.io7m.idstore.server.http.IdHTTPCookieDeclaration

Record Components:
  `name` - The cookie name
  `value` - The cookie value
  `validity` - The duration for which the cookie is valid

public record IdHTTPCookieDeclaration(String name, String value, Duration validity) extends Record
A cookie declaration.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdHTTPCookieDeclaration(String name, String value, Duration validity)`
  A cookie declaration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `name()`
  Returns the value of the `name` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `Duration`
  `validity()`
  Returns the value of the `validity` record component.
  `String`
  `value()`
  Returns the value of the `value` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdHTTPCookieDeclaration

    public IdHTTPCookieDeclaration(String name, String value, Duration validity)
    A cookie declaration.
    Parameters:
      `name` - The cookie name
      `value` - The cookie value
      `validity` - The duration for which the cookie is valid

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### name

    public String name()
    Returns the value of the `name` record component.
    Returns:
      the value of the `name` record component

  - ### value

    public String value()
    Returns the value of the `value` record component.
    Returns:
      the value of the `value` record component

  - ### validity

    public Duration validity()
    Returns the value of the `validity` record component.
    Returns:
      the value of the `validity` record component